<!doctype html>
<html>
<head>
    <meta name="viewport" content="width=device-width"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <style>
        .html {
            width: 100%;
        }

        body {
            width: 21cm;
            margin: 0 auto;
            font-family: sans-serif;
            font-size: 11px;
        }

        .page {
            height: 29.7cm;
            break-inside: avoid;
        }

        .body {
            margin: 0;
        }

        .bold {
            font-weight: bold;
        }

        .text-center {
            text-align: center;
        }

        .text-right {
            text-align: right;
        }

        .text-uppercase {
            text-transform: uppercase;
        }

        .flex {
            display: flex;
        }

        .flex-column {
            flex-direction: column;
        }

        .align-end {
            align-items: end;
        }

        .justify-end {
            justify-content: end;
        }

        .header {
            width: 100%;
            justify-content: space-between;
            margin-bottom: 20px;
        }

        .header > * {
            flex: 1;
        }

        .border {
            border: 1px solid #cecece;
        }

        .border-bottom-none {
            border-bottom: none;
        }

        .border-top-none {
            border-top: none;
        }

        table {
            width: 100%;
        }

        table, th, td {
            border: 1px solid #cecece;
            border-collapse: collapse;
            font-weight: normal;
        }

        table tr {
            height: 16px;
        }
    </style>
</head>

<body class="">
{{#each pages}}
    <div class="page">
        <div class="header flex">
            <div class="flex flex-column justify-end">
                <div>FEUILLE DE TRAVAIL</div>
                <div>LISTE D'APPEL</div>
                <div class="bold" style="margin-bottom: 10px;">Classement des passagers par ordre alphabétique</div>
                <div>Serial no.</div>
                <div class="border text-center bold" style="padding: 0 40px; width: fit-content;">
                    {{ @root.serial_number }}
                </div>
            </div>
            <div class="flex flex-column align-end justify-end">
                <div style="margin-bottom: 10px">{{ @root.unit }}</div>
                <div class="flex">
                    Nr. of this page
                    <div class="border text-center" style="width: 20px; margin-left: 10px">
                        {{ inc @index }}
                    </div>
                </div>
                <div class="flex">
                    Nr. of pages
                    <div class="border text-center border-top-none" style="width: 20px; margin-left: 10px">
                        {{ @root.pages.length }}
                    </div>
                </div>
            </div>
        </div>

        <div class="body">
            <table class="border-bottom-none">
                <colgroup>
                    <col style="width:20%">
                    <col style="width:20%">
                    <col style="width:15%">
                    <col style="width:10%">
                    <col style="width:20%">
                    <col style="width:15%">
                </colgroup>
                <tr>
                    <th colspan="2">
                        Aircraft
                    </th>
                    <th rowspan="2">
                        Flight Number
                    </th>
                    <th colspan="2">
                        Airfield departure (from)
                    </th>
                    <th rowspan="2">
                        Date
                    </th>
                </tr>
                <tr>
                    <th>
                        Type
                    </th>
                    <th>
                        Registration
                    </th>
                    <th class="text-center">
                        {{ @root.airfield_departure_oaci }}
                    </th>
                    <th class="text-center">
                        {{ @root.airfield_departure_name }}
                    </th>
                </tr>
                <tr>
                    <th rowspan="2" class="border-bottom-none">
                        {{ @root.aircraft_type }}
                    </th>
                    <th rowspan="2" class="border-bottom-none">
                        {{ @root.aircraft_registration }}
                    </th>
                    <th rowspan="2" class="border-bottom-none">
                        {{ @root.flight_number }}
                    </th>
                    <th colspan="2">
                        Airfield destination (to)
                    </th>
                    <th rowspan="2" class="border-bottom-none">
                        {{ @root.date }}
                    </th>
                </tr>
                <tr>
                    <th class="border-bottom-none text-center">
                        {{ @root.airfield_arrival_oaci }}
                    </th>
                    <th class="border-bottom-none text-center">
                        {{ @root.airfield_arrival_name }}
                    </th>
                </tr>
            </table>
            <table>
                <colgroup>
                    <col style="width:3%">
                    <col style="width:32%">
                    <col style="width:5%">
                    <col style="width:11%">
                    <col style="width:15%">
                    <col style="width:7%">
                    <col style="width:5%">
                    <col style="width:7%">
                    <col style="width:15%">
                </colgroup>
                <tr>
                    <th class="text-center">
                        CE/<br/>BP
                    </th>
                    <th class="text-center">
                        Name
                    </th>
                    <th class="text-center">
                        Rank
                    </th>
                    <th class="text-center">
                        Service number
                    </th>
                    <th class="text-center">
                        Unit
                    </th>
                    <th class="text-center">
                        Final destination airport
                    </th>
                    <th class="text-center">
                        Seat
                    </th>
                    <th class="text-center">
                        Passenger weight
                    </th>
                    <th class="text-center">
                        Remarks
                    </th>
                </tr>
                {{#each paxs}}
                    <tr>
                        <td class="text-center">
                            {{ manifest_number }}
                        </td>
                        <td class="text-uppercase">
                            {{ last_name }} {{ first_name }}
                        </td>
                        <td class="text-center">
                            {{#with rank}}
                                {{ name }}
                            {{/with}}
                        </td>
                        <td class="text-center">
                            {{ military_id }}
                        </td>
                        <td>
                            {{ unit }}
                        </td>
                        <td class="text-center">
                            {{ arrival.oaci }}
                        </td>
                        <td class="text-center">
                            {{ seat.number }}{{ seat.row }}
                        </td>
                        <td class="text-center">
                            {{ weight }}
                        </td>
                        <td>
                            {{ observations }}
                        </td>
                    </tr>
                {{/each}}
            </table>
            <table class="border-top-none">
                <colgroup>
                    <col style="width:35%">
                    <col style="width:15%">
                    <col style="width:35%">
                    <col style="width:15%">
                </colgroup>
                <tr>
                    <td class="text-right border-top-none">
                        <div style="margin: 5px 0">
                            Total number of passengers<br/>(on this page)
                        </div>
                    </td>
                    <td class="text-center border-top-none">
                        {{ total_paxs }}
                    </td>
                    <td class="text-right bold border-top-none">
                        <div style="margin: 5px 0">
                            Final number of passengers<br/>(on all pages) &rarr;
                        </div>
                    </td>
                    <td class="text-center border-top-none">
                        {{ @root.total_paxs }}
                    </td>
                </tr>
            </table>
        </div>
    </div>
{{/each}}
</body>
</html>
